This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 795748 - double-free upon "old buggy kernel" sysfs_read failure
double-free upon "old buggy kernel" sysfs_read failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On: 795707
Blocks: 795747
  Show dependency treegraph
 
Reported: 2012-02-21 07:55 EST by Jes Sorensen
Modified: 2012-03-10 16:55 EST (History)
5 users (show)

See Also:
Fixed In Version: mdadm-3.2.3-6.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 795707
Environment:
Last Closed: 2012-03-10 16:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-02-21 07:55:54 EST
+++ This bug was initially created as a clone of Bug #795707 +++

Created attachment 564646 [details]
avoid double-free upon "old buggy kernel" sysfs_read failure

Description of problem: double-free upon error

Version-Release number of selected component (if applicable): 
mdadm-3.2.3-5.fc16.x86_64 (probably.  I haven't triggered it)

How reproducible: every time, I suppose

Steps to Reproduce:
1. don't know off hand
2.
3.
  
Actual results: abort, segfault, etc.


Expected results: no double free


Additional info:

Attached patch based on
git://anonscm.debian.org/pkg-mdadm/mdadm.git
b36c1880eac4e2c22783ad0e088a5e27cd2d4121
Comment 1 Fedora Update System 2012-02-23 06:12:35 EST
mdadm-3.2.3-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-6.fc15
Comment 2 Fedora Update System 2012-02-25 03:28:40 EST
Package mdadm-3.2.3-6.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-6.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2376/mdadm-3.2.3-6.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-03-10 16:55:18 EST
mdadm-3.2.3-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.